Bug 1286374 - fedpkg commands fail when under non-ASCII path
fedpkg commands fail when under non-ASCII path
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedpkg (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: cqi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 13:50 EST by Göran Uddeborg
Modified: 2016-08-22 15:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: fedpkg-1.24-2.fc24 fedpkg-1.24-3.el6 fedpkg-1.24-3.el7 fedpkg-1.24-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-22 12:49:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2015-11-28 13:50:33 EST
Description of problem:
Some of the fedpkg commands fail if the workspace is placed below a path containing non-ASCII letters.  Examples that fail include srpm and mockbuild.


Version-Release number of selected component (if applicable):
fedpkg-1.20-2.fc23.noarch


How reproducible:
Every time


Steps to Reproduce:
1. cd /tmp
2. mkdir göran
3. cd göran
4. fedpkg co color-filesystem
5. fedpkg srpm


Actual results:
The last command fails with an error message:
Could not execute srpm: 'ascii' codec can't decode byte 0xc3 in position 6: ordinal not in range(128)


Expected results:
No error message, and an SRPM generated.
Comment 1 cqi 2016-06-13 00:31:50 EDT
Patch is done, being under review.

https://pagure.io/fedpkg/pull-request/28
https://pagure.io/rpkg/pull-request/64
Comment 2 Lubomír Sedlář 2016-06-13 09:54:12 EDT
1.20 is quite an old version. With current 1.23 (or even git master) I can't replicate. The issue lies most likely in rpkg. With fedpkg-1.20 and pyrpkg-1.40 I get the same error.
Comment 3 cqi 2016-06-15 02:43:00 EDT
(In reply to Lubomír Sedlář from comment #2)
> 1.20 is quite an old version. With current 1.23 (or even git master) I can't
> replicate.

This is interesting. I reproduced this bug with the master branch.

Steps

1. make a directory named göran
2. cd göran && fedpkg clone -a gnome-calendar
3. cd gnome-calendar && fedpkg switch-branch f24 && fedpkg -d -v srpm

Actual results:
Creating repo object from /home/vagrant/packages/göran/gnome-calendar
Could not execute srpm: 'ascii' codec can't decode byte 0xc3 in position 45: ordinal not in range(128)
Traceback (most recent call last):
  File "/home/vagrant/rhpkg-env/bin/fedpkg", line 6, in <module>
    exec(compile(open(__file__).read(), __file__, 'exec'))
  File "/code/fedpkg/src/bin/fedpkg", line 16, in <module>
    main()
  File "/code/fedpkg/src/fedpkg/__main__.py", line 69, in main
    sys.exit(client.args.command())
  File "/code/rpkg/src/pyrpkg/cli.py", line 1244, in srpm
    self.cmd.srpm(hashtype=self.args.hash)
  File "/code/rpkg/src/pyrpkg/__init__.py", line 2429, in srpm
    % (self.module_name, self.ver, self.rel))
  File "/code/rpkg/src/pyrpkg/__init__.py", line 809, in ver
    self.load_nameverrel()
  File "/code/rpkg/src/pyrpkg/__init__.py", line 630, in load_nameverrel
    joined_cmd = ' '.join(cmd)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 45: ordinal not in range(128)
Comment 4 Lubomír Sedlář 2016-06-15 03:05:07 EDT
Huh, I must have beed doing something wrong then. I can replicate and also verify the proposed patches fix the issue.
Comment 5 cqi 2016-06-16 22:44:20 EDT
PRs have been merged.
Comment 6 Fedora Update System 2016-06-28 22:17:18 EDT
fedpkg-1.24-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8049bff436
Comment 7 Fedora Update System 2016-06-28 22:17:27 EDT
fedpkg-1.24-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1cf369714
Comment 8 Fedora Update System 2016-06-28 22:17:37 EDT
fedpkg-1.24-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e5e5513a38
Comment 9 Fedora Update System 2016-06-28 22:17:47 EDT
fedpkg-1.24-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3540ed2e2b
Comment 10 Fedora Update System 2016-06-28 22:17:56 EDT
fedpkg-1.24-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ecfcc317bf
Comment 11 Fedora Update System 2016-06-29 14:26:28 EDT
fedpkg-1.24-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3540ed2e2b
Comment 12 Fedora Update System 2016-06-29 17:49:43 EDT
fedpkg-1.24-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ecfcc317bf
Comment 13 Fedora Update System 2016-06-29 17:50:09 EDT
fedpkg-1.24-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e5e5513a38
Comment 14 Fedora Update System 2016-06-29 18:20:59 EDT
fedpkg-1.24-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1cf369714
Comment 15 Fedora Update System 2016-06-29 18:55:49 EDT
fedpkg-1.24-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8049bff436
Comment 16 Fedora Update System 2016-07-02 11:25:19 EDT
fedpkg-1.24-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-07-08 00:13:21 EDT
fedpkg-1.24-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ecfcc317bf
Comment 18 Fedora Update System 2016-07-08 00:15:13 EDT
fedpkg-1.24-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3540ed2e2b
Comment 19 Fedora Update System 2016-07-08 00:15:52 EDT
fedpkg-1.24-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e5e5513a38
Comment 20 Fedora Update System 2016-07-08 00:16:28 EDT
fedpkg-1.24-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1cf369714
Comment 21 Fedora Update System 2016-07-09 22:47:53 EDT
fedpkg-1.24-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ecfcc317bf
Comment 22 Fedora Update System 2016-07-09 23:19:03 EDT
fedpkg-1.24-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e5e5513a38
Comment 23 Fedora Update System 2016-07-09 23:55:20 EDT
fedpkg-1.24-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3540ed2e2b
Comment 24 Fedora Update System 2016-07-11 23:29:37 EDT
fedpkg-1.24-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1cf369714
Comment 25 Fedora Update System 2016-08-22 12:49:49 EDT
fedpkg-1.24-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-08-22 12:50:41 EDT
fedpkg-1.24-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2016-08-22 15:20:44 EDT
fedpkg-1.24-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.